@layer properties {
    @supports (((-webkit-hyphens:none)) and (not (margin-trim:inline))) or ((-moz-orient:inline) and (not (color:rgb(from red r g b)))) {

        *,
        :before,
        :after,
        ::backdrop {
            --tw-translate-x: 0;
            --tw-translate-y: 0;
            --tw-translate-z: 0;
            --tw-rotate-x: initial;
            --tw-rotate-y: initial;
            --tw-rotate-z: initial;
            --tw-skew-x: initial;
            --tw-skew-y: initial;
            --tw-space-y-reverse: 0;
            --tw-border-style: solid;
            --tw-font-weight: initial;
            --tw-shadow: 0 0 #0000;
            --tw-shadow-color: initial;
            --tw-shadow-alpha: 100%;
            --tw-inset-shadow: 0 0 #0000;
            --tw-inset-shadow-color: initial;
            --tw-inset-shadow-alpha: 100%;
            --tw-ring-color: initial;
            --tw-ring-shadow: 0 0 #0000;
            --tw-inset-ring-color: initial;
            --tw-inset-ring-shadow: 0 0 #0000;
            --tw-ring-inset: initial;
            --tw-ring-offset-width: 0px;
            --tw-ring-offset-color: #fff;
            --tw-ring-offset-shadow: 0 0 #0000;
            --tw-backdrop-blur: initial;
            --tw-backdrop-brightness: initial;
            --tw-backdrop-contrast: initial;
            --tw-backdrop-grayscale: initial;
            --tw-backdrop-hue-rotate: initial;
            --tw-backdrop-invert: initial;
            --tw-backdrop-opacity: initial;
            --tw-backdrop-saturate: initial;
            --tw-backdrop-sepia: initial
        }
    }
}

@layer theme {

    :root,
    :host {
        --font-sans: "Inter", system-ui, sans-serif;
        --font-mono: "JetBrains Mono", monospace;
        --color-red-500: oklch(63.7% .237 25.331);
        --color-amber-500: oklch(76.9% .188 70.08);
        --color-green-500: oklch(72.3% .219 149.579);
        --color-blue-500: oklch(62.3% .214 259.815);
        --color-gray-900: oklch(21% .034 264.665);
        --color-black: #000;
        --color-white: #fff;
        --spacing: .25rem;
        --container-2xl: 42rem;
        --container-4xl: 56rem;
        --container-6xl: 72rem;
        --text-xs: .75rem;
        --text-xs--line-height: calc(1/.75);
        --text-sm: .875rem;
        --text-sm--line-height: calc(1.25/.875);
        --text-lg: 1.125rem;
        --text-lg--line-height: calc(1.75/1.125);
        --text-xl: 1.25rem;
        --text-xl--line-height: calc(1.75/1.25);
        --font-weight-medium: 500;
        --font-weight-semibold: 600;
        --radius-lg: .75rem;
        --radius-xl: .75rem;
        --animate-spin: spin 1s linear infinite;
        --animate-pulse: pulse 2s cubic-bezier(.4, 0, .6, 1)infinite;
        --blur-sm: 8px;
        --default-transition-duration: .15s;
        --default-transition-timing-function: cubic-bezier(.4, 0, .2, 1);
        --default-font-family: var(--font-sans);
        --default-mono-font-family: var(--font-mono);
        --color-background: var(--background);
        --color-foreground: var(--foreground);
        --color-card: var(--card);
        --color-primary: var(--primary);
        --color-primary-foreground: var(--primary-foreground);
        --color-secondary: var(--secondary);
        --color-muted: var(--muted);
        --color-muted-foreground: var(--muted-foreground);
        --color-border: var(--border);
        --color-input: var(--input);
        --color-ring: var(--ring)
    }
}

@layer base {

    *,
    :after,
    :before,
    ::backdrop {
        box-sizing: border-box;
        border: 0 solid;
        margin: 0;
        padding: 0
    }

    ::file-selector-button {
        box-sizing: border-box;
        border: 0 solid;
        margin: 0;
        padding: 0
    }

    html,
    :host {
        -webkit-text-size-adjust: 100%;
        tab-size: 4;
        line-height: 1.5;
        font-family: var(--default-font-family, ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji");
        font-feature-settings: var(--default-font-feature-settings, normal);
        font-variation-settings: var(--default-font-variation-settings, normal);
        -webkit-tap-highlight-color: transparent
    }

    hr {
        height: 0;
        color: inherit;
        border-top-width: 1px
    }

    abbr:where([title]) {
        -webkit-text-decoration: underline dotted;
        text-decoration: underline dotted
    }

    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        font-size: inherit;
        font-weight: inherit
    }

    a {
        color: inherit;
        -webkit-text-decoration: inherit;
        text-decoration: inherit
    }

    b,
    strong {
        font-weight: bolder
    }

    code,
    kbd,
    samp,
    pre {
        font-family: var(--default-mono-font-family, ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace);
        font-feature-settings: var(--default-mono-font-feature-settings, normal);
        font-variation-settings: var(--default-mono-font-variation-settings, normal);
        font-size: 1em
    }

    small {
        font-size: 80%
    }

    sub,
    sup {
        vertical-align: baseline;
        font-size: 75%;
        line-height: 0;
        position: relative
    }

    sub {
        bottom: -.25em
    }

    sup {
        top: -.5em
    }

    table {
        text-indent: 0;
        border-color: inherit;
        border-collapse: collapse
    }

    :-moz-focusring {
        outline: auto
    }

    progress {
        vertical-align: baseline
    }

    summary {
        display: list-item
    }

    ol,
    ul,
    menu {
        list-style: none
    }

    img,
    svg,
    video,
    canvas,
    audio,
    iframe,
    embed,
    object {
        vertical-align: middle;
        display: block
    }

    img,
    video {
        max-width: 100%;
        height: auto
    }

    button,
    input,
    select,
    optgroup,
    textarea {
        font: inherit;
        font-feature-settings: inherit;
        font-variation-settings: inherit;
        letter-spacing: inherit;
        color: inherit;
        opacity: 1;
        background-color: #0000;
        border-radius: 0
    }

    ::file-selector-button {
        font: inherit;
        font-feature-settings: inherit;
        font-variation-settings: inherit;
        letter-spacing: inherit;
        color: inherit;
        opacity: 1;
        background-color: #0000;
        border-radius: 0
    }

    :where(select:is([multiple], [size])) optgroup {
        font-weight: bolder
    }

    :where(select:is([multiple], [size])) optgroup option {
        padding-inline-start: 20px
    }

    ::file-selector-button {
        margin-inline-end: 4px
    }

    ::placeholder {
        opacity: 1
    }

    @supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px) {
        ::placeholder {
            color: currentColor
        }

        @supports (color:color-mix(in lab, red, red)) {
            ::placeholder {
                color: color-mix(in oklab, currentcolor 50%, transparent)
            }
        }
    }

    textarea {
        resize: vertical
    }

    ::-webkit-search-decoration {
        -webkit-appearance: none
    }

    ::-webkit-date-and-time-value {
        min-height: 1lh;
        text-align: inherit
    }

    ::-webkit-datetime-edit {
        display: inline-flex
    }

    ::-webkit-datetime-edit-fields-wrapper {
        padding: 0
    }

    ::-webkit-datetime-edit {
        padding-block: 0
    }

    ::-webkit-datetime-edit-year-field {
        padding-block: 0
    }

    ::-webkit-datetime-edit-month-field {
        padding-block: 0
    }

    ::-webkit-datetime-edit-day-field {
        padding-block: 0
    }

    ::-webkit-datetime-edit-hour-field {
        padding-block: 0
    }

    ::-webkit-datetime-edit-minute-field {
        padding-block: 0
    }

    ::-webkit-datetime-edit-second-field {
        padding-block: 0
    }

    ::-webkit-datetime-edit-millisecond-field {
        padding-block: 0
    }

    ::-webkit-datetime-edit-meridiem-field {
        padding-block: 0
    }

    ::-webkit-calendar-picker-indicator {
        line-height: 1
    }

    :-moz-ui-invalid {
        box-shadow: none
    }

    button,
    input:where([type=button], [type=reset], [type=submit]) {
        appearance: button
    }

    ::file-selector-button {
        appearance: button
    }

    ::-webkit-inner-spin-button {
        height: auto
    }

    ::-webkit-outer-spin-button {
        height: auto
    }

    [hidden]:where(:not([hidden=until-found])) {
        display: none !important
    }
}

@layer components;

@layer utilities {
    .pointer-events-none {
        pointer-events: none
    }

    .sr-only {
        clip-path: inset(50%);
        white-space: nowrap;
        border-width: 0;
        width: 1px;
        height: 1px;
        margin: -1px;
        padding: 0;
        position: absolute;
        overflow: hidden
    }

    .absolute {
        position: absolute
    }

    .fixed {
        position: fixed
    }

    .relative {
        position: relative
    }

    .inset-0 {
        inset: calc(var(--spacing)*0)
    }

    .top-1\/2 {
        top: 50%
    }

    .top-4 {
        top: calc(var(--spacing)*4)
    }

    .top-full {
        top: 100%
    }

    .right-0 {
        right: calc(var(--spacing)*0)
    }

    .right-2 {
        right: calc(var(--spacing)*2)
    }

    .right-3 {
        right: calc(var(--spacing)*3)
    }

    .right-4 {
        right: calc(var(--spacing)*4)
    }

    .bottom-full {
        bottom: 100%
    }

    .left-0 {
        left: calc(var(--spacing)*0)
    }

    .left-1\/2 {
        left: 50%
    }

    .z-40 {
        z-index: 40
    }

    .z-50 {
        z-index: 50
    }

    .mx-auto {
        margin-inline: auto
    }

    .my-1 {
        margin-block: calc(var(--spacing)*1)
    }

    .my-2 {
        margin-block: calc(var(--spacing)*2)
    }

    .mt-0\.5 {
        margin-top: calc(var(--spacing)*.5)
    }

    .mt-1 {
        margin-top: calc(var(--spacing)*1)
    }

    .mt-2 {
        margin-top: calc(var(--spacing)*2)
    }

    .mb-1 {
        margin-bottom: calc(var(--spacing)*1)
    }

    .mb-2 {
        margin-bottom: calc(var(--spacing)*2)
    }

    .mb-3 {
        margin-bottom: calc(var(--spacing)*3)
    }

    .mb-4 {
        margin-bottom: calc(var(--spacing)*4)
    }

    .mb-6 {
        margin-bottom: calc(var(--spacing)*6)
    }

    .mb-10 {
        margin-bottom: calc(var(--spacing)*10)
    }

    .ml-auto {
        margin-left: auto
    }

    .block {
        display: block
    }

    .flex {
        display: flex
    }

    .grid {
        display: grid
    }

    .h-2 {
        height: calc(var(--spacing)*2)
    }

    .h-3 {
        height: calc(var(--spacing)*3)
    }

    .h-3\.5 {
        height: calc(var(--spacing)*3.5)
    }

    .h-4 {
        height: calc(var(--spacing)*4)
    }

    .h-5 {
        height: calc(var(--spacing)*5)
    }

    .h-8 {
        height: calc(var(--spacing)*8)
    }

    .h-12 {
        height: calc(var(--spacing)*12)
    }

    .h-full {
        height: 100%
    }

    .max-h-60 {
        max-height: calc(var(--spacing)*60)
    }

    .max-h-96 {
        max-height: calc(var(--spacing)*96)
    }

    .max-h-\[80vh\] {
        max-height: 80vh
    }

    .max-h-\[90vh\] {
        max-height: 90vh
    }

    .max-h-\[200px\] {
        max-height: 200px
    }

    .max-h-\[calc\(80vh-80px\)\] {
        max-height: calc(80vh - 80px)
    }

    .min-h-\[80px\] {
        min-height: 80px
    }

    .min-h-screen {
        min-height: 100vh
    }

    .w-2 {
        width: calc(var(--spacing)*2)
    }

    .w-3 {
        width: calc(var(--spacing)*3)
    }

    .w-3\.5 {
        width: calc(var(--spacing)*3.5)
    }

    .w-4 {
        width: calc(var(--spacing)*4)
    }

    .w-5 {
        width: calc(var(--spacing)*5)
    }

    .w-8 {
        width: calc(var(--spacing)*8)
    }

    .w-12 {
        width: calc(var(--spacing)*12)
    }

    .w-16 {
        width: calc(var(--spacing)*16)
    }

    .w-24 {
        width: calc(var(--spacing)*24)
    }

    .w-56 {
        width: calc(var(--spacing)*56)
    }

    .w-full {
        width: 100%
    }

    .max-w-6xl {
        max-width: var(--container-6xl)
    }

    .max-w-\[95vw\] {
        max-width: 95vw
    }

    .max-w-full {
        max-width: 100%
    }

    .min-w-0 {
        min-width: calc(var(--spacing)*0)
    }

    .flex-1 {
        flex: 1
    }

    .flex-shrink-0 {
        flex-shrink: 0
    }

    .-translate-x-1\/2 {
        --tw-translate-x: -50%;
        translate: var(--tw-translate-x)var(--tw-translate-y)
    }

    .-translate-y-1\/2 {
        --tw-translate-y: -50%;
        translate: var(--tw-translate-x)var(--tw-translate-y)
    }

    .rotate-180 {
        rotate: 180deg
    }

    .transform {
        transform: var(--tw-rotate-x, )var(--tw-rotate-y, )var(--tw-rotate-z, )var(--tw-skew-x, )var(--tw-skew-y, )
    }

    .animate-pulse {
        animation: var(--animate-pulse)
    }

    .animate-spin {
        animation: var(--animate-spin)
    }

    .cursor-move {
        cursor: move
    }

    .cursor-not-allowed {
        cursor: not-allowed
    }

    .cursor-pointer {
        cursor: pointer
    }

    .resize-y {
        resize: vertical
    }

    .appearance-none {
        appearance: none
    }

    .grid-cols-1 {
        grid-template-columns: repeat(1, minmax(0, 1fr))
    }

    .grid-cols-2 {
        grid-template-columns: repeat(2, minmax(0, 1fr))
    }

    .flex-col {
        flex-direction: column
    }

    .flex-wrap {
        flex-wrap: wrap
    }

    .items-center {
        align-items: center
    }

    .items-start {
        align-items: flex-start
    }

    .justify-between {
        justify-content: space-between
    }

    .justify-center {
        justify-content: center
    }

    .justify-end {
        justify-content: flex-end
    }

    .gap-1 {
        gap: calc(var(--spacing)*1)
    }

    .gap-1\.5 {
        gap: calc(var(--spacing)*1.5)
    }

    .gap-2 {
        gap: calc(var(--spacing)*2)
    }

    .gap-3 {
        gap: calc(var(--spacing)*3)
    }

    .gap-4 {
        gap: calc(var(--spacing)*4)
    }

    .gap-6 {
        gap: calc(var(--spacing)*6)
    }

    .gap-8 {
        gap: calc(var(--spacing)*8)
    }

    :where(.space-y-1>:not(:last-child)) {
        --tw-space-y-reverse: 0;
        margin-block-start: calc(calc(var(--spacing)*1)*var(--tw-space-y-reverse));
        margin-block-end: calc(calc(var(--spacing)*1)*calc(1 - var(--tw-space-y-reverse)))
    }

    :where(.space-y-2>:not(:last-child)) {
        --tw-space-y-reverse: 0;
        margin-block-start: calc(calc(var(--spacing)*2)*var(--tw-space-y-reverse));
        margin-block-end: calc(calc(var(--spacing)*2)*calc(1 - var(--tw-space-y-reverse)))
    }

    :where(.space-y-3>:not(:last-child)) {
        --tw-space-y-reverse: 0;
        margin-block-start: calc(calc(var(--spacing)*3)*var(--tw-space-y-reverse));
        margin-block-end: calc(calc(var(--spacing)*3)*calc(1 - var(--tw-space-y-reverse)))
    }

    :where(.space-y-4>:not(:last-child)) {
        --tw-space-y-reverse: 0;
        margin-block-start: calc(calc(var(--spacing)*4)*var(--tw-space-y-reverse));
        margin-block-end: calc(calc(var(--spacing)*4)*calc(1 - var(--tw-space-y-reverse)))
    }

    :where(.space-y-5>:not(:last-child)) {
        --tw-space-y-reverse: 0;
        margin-block-start: calc(calc(var(--spacing)*5)*var(--tw-space-y-reverse));
        margin-block-end: calc(calc(var(--spacing)*5)*calc(1 - var(--tw-space-y-reverse)))
    }

    :where(.space-y-6>:not(:last-child)) {
        --tw-space-y-reverse: 0;
        margin-block-start: calc(calc(var(--spacing)*6)*var(--tw-space-y-reverse));
        margin-block-end: calc(calc(var(--spacing)*6)*calc(1 - var(--tw-space-y-reverse)))
    }

    :where(.space-y-8>:not(:last-child)) {
        --tw-space-y-reverse: 0;
        margin-block-start: calc(calc(var(--spacing)*8)*var(--tw-space-y-reverse));
        margin-block-end: calc(calc(var(--spacing)*8)*calc(1 - var(--tw-space-y-reverse)))
    }

    .truncate {
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden
    }

    .overflow-auto {
        overflow: auto
    }

    .overflow-hidden {
        overflow: hidden
    }

    .overflow-x-auto {
        overflow-x: auto
    }

    .overflow-y-auto {
        overflow-y: auto
    }

    .rounded {
        border-radius: .25rem
    }

    .rounded-full {
        border-radius: 3.40282e38px
    }

    .rounded-lg {
        border-radius: var(--radius-lg)
    }

    .rounded-xl {
        border-radius: var(--radius-xl)
    }

    .border {
        border-style: var(--tw-border-style);
        border-width: 1px
    }

    .border-2 {
        border-style: var(--tw-border-style);
        border-width: 2px
    }

    .border-4 {
        border-style: var(--tw-border-style);
        border-width: 4px
    }

    .border-t {
        border-top-style: var(--tw-border-style);
        border-top-width: 1px
    }

    .border-b {
        border-bottom-style: var(--tw-border-style);
        border-bottom-width: 1px
    }

    .border-l-2 {
        border-left-style: var(--tw-border-style);
        border-left-width: 2px
    }

    .border-border,
    .border-border\/50 {
        border-color: var(--color-border)
    }

    @supports (color:color-mix(in lab, red, red)) {
        .border-border\/50 {
            border-color: color-mix(in oklab, var(--color-border)50%, transparent)
        }
    }

    .border-current {
        border-color: currentColor
    }

    .border-primary,
    .border-primary\/20 {
        border-color: var(--color-primary)
    }

    @supports (color:color-mix(in lab, red, red)) {
        .border-primary\/20 {
            border-color: color-mix(in oklab, var(--color-primary)20%, transparent)
        }
    }

    .border-red-500\/20 {
        border-color: #fb2c3633
    }

    @supports (color:color-mix(in lab, red, red)) {
        .border-red-500\/20 {
            border-color: color-mix(in oklab, var(--color-red-500)20%, transparent)
        }
    }

    .border-transparent {
        border-color: #0000
    }

    .border-t-gray-900 {
        border-top-color: var(--color-gray-900)
    }

    .border-t-transparent {
        border-top-color: #0000
    }

    .bg-amber-500 {
        background-color: var(--color-amber-500)
    }

    .bg-background,
    .bg-background\/80 {
        background-color: #cad2c5;
    }

    @supports (color:color-mix(in lab, red, red)) {
        .bg-background\/80 {
            background-color: color-mix(in oklab, var(--color-background)80%, transparent)
        }
    }

    .bg-black\/50 {
        background-color: #00000080
    }

    @supports (color:color-mix(in lab, red, red)) {
        .bg-black\/50 {
            background-color: color-mix(in oklab, var(--color-black)50%, transparent)
        }
    }

    .bg-blue-500 {
        background-color: var(--color-blue-500)
    }

    .bg-card,
    .bg-card\/50 {
        background-color: #2b3d2f;
    }

    @supports (color:color-mix(in lab, red, red)) {
        .bg-card\/50 {
            background-color: color-mix(in oklab, #83a199 50%, #00000052);
        }
    }

    .bg-gray-900 {
        background-color: var(--color-gray-900)
    }

    .bg-green-500 {
        background-color: var(--color-green-500)
    }

    .bg-input {
        background-color: var(--color-input)
    }

    .bg-muted\/30 {
        background-color: var(--color-muted)
    }

    @supports (color:color-mix(in lab, red, red)) {
        .bg-muted\/30 {
            background-color: color-mix(in oklab, var(--color-muted)30%, transparent)
        }
    }

    .bg-primary,
    .bg-primary\/5 {
        background-color: var(--color-primary)
    }

    @supports (color:color-mix(in lab, red, red)) {
        .bg-primary\/5 {
            background-color: color-mix(in oklab, var(--color-primary)5%, transparent)
        }
    }

    .bg-primary\/10 {
        background-color: var(--color-primary)
    }

    @supports (color:color-mix(in lab, red, red)) {
        .bg-primary\/10 {
            background-color: color-mix(in oklab, var(--color-primary)10%, transparent)
        }
    }

    .bg-primary\/20 {
        background-color: var(--color-primary)
    }

    @supports (color:color-mix(in lab, red, red)) {
        .bg-primary\/20 {
            background-color: color-mix(in oklab, var(--color-primary)20%, transparent)
        }
    }

    .bg-red-500\/10 {
        background-color: #fb2c361a
    }

    @supports (color:color-mix(in lab, red, red)) {
        .bg-red-500\/10 {
            background-color: color-mix(in oklab, var(--color-red-500)10%, transparent)
        }
    }

    .bg-red-500\/20 {
        background-color: #fb2c3633
    }

    @supports (color:color-mix(in lab, red, red)) {
        .bg-red-500\/20 {
            background-color: color-mix(in oklab, var(--color-red-500)20%, transparent)
        }
    }

    .bg-secondary\/20 {
        background-color: var(--color-secondary)
    }

    @supports (color:color-mix(in lab, red, red)) {
        .bg-secondary\/20 {
            background-color: color-mix(in oklab, var(--color-secondary)20%, transparent)
        }
    }

    .bg-secondary\/30 {
        background-color: var(--color-secondary)
    }

    @supports (color:color-mix(in lab, red, red)) {
        .bg-secondary\/30 {
            background-color: color-mix(in oklab, var(--color-secondary)30%, transparent)
        }
    }

    .p-1 {
        padding: calc(var(--spacing)*1)
    }

    .p-2 {
        padding: calc(var(--spacing)*2)
    }

    .p-3 {
        padding: calc(var(--spacing)*3)
    }

    .p-4 {
        padding: calc(var(--spacing)*4)
    }

    .p-6 {
        padding: calc(var(--spacing)*6)
    }

    .px-1 {
        padding-inline: calc(var(--spacing)*1)
    }

    .px-1\.5 {
        padding-inline: calc(var(--spacing)*1.5)
    }

    .px-2 {
        padding-inline: calc(var(--spacing)*2)
    }

    .px-3 {
        padding-inline: calc(var(--spacing)*3)
    }

    .px-4 {
        padding-inline: calc(var(--spacing)*4)
    }

    .py-0\.5 {
        padding-block: calc(var(--spacing)*.5)
    }

    .py-1 {
        padding-block: calc(var(--spacing)*1)
    }

    .py-1\.5 {
        padding-block: calc(var(--spacing)*1.5)
    }

    .py-2 {
        padding-block: calc(var(--spacing)*2)
    }

    .py-3 {
        padding-block: calc(var(--spacing)*3)
    }

    .py-4 {
        padding-block: calc(var(--spacing)*4)
    }

    .py-8 {
        padding-block: calc(var(--spacing)*8)
    }

    .py-12 {
        padding-block: calc(var(--spacing)*12)
    }

    .pt-2 {
        padding-top: calc(var(--spacing)*2)
    }

    .pt-4 {
        padding-top: calc(var(--spacing)*4)
    }

    .pr-10 {
        padding-right: calc(var(--spacing)*10)
    }

    .pb-2 {
        padding-bottom: calc(var(--spacing)*2)
    }

    .pl-2 {
        padding-left: calc(var(--spacing)*2)
    }

    .text-center {
        text-align: center
    }

    .text-left {
        text-align: left
    }

    .font-mono {
        font-family: var(--font-mono)
    }

    .text-lg {
        font-size: var(--text-lg);
        line-height: var(--tw-leading, var(--text-lg--line-height))
    }

    .text-sm {
        font-size: var(--text-sm);
        line-height: var(--tw-leading, var(--text-sm--line-height))
    }

    .text-xl {
        font-size: var(--text-xl);
        line-height: var(--tw-leading, var(--text-xl--line-height))
    }

    .text-xs {
        font-size: var(--text-xs);
        line-height: var(--tw-leading, var(--text-xs--line-height))
    }

    .font-medium {
        --tw-font-weight: var(--font-weight-medium);
        font-weight: var(--font-weight-medium)
    }

    .font-semibold {
        --tw-font-weight: var(--font-weight-semibold);
        font-weight: var(--font-weight-semibold)
    }

    .whitespace-nowrap {
        white-space: nowrap
    }

    .text-foreground {
        color: var(--color-foreground)
    }

    .text-muted-foreground {
        color: var(--color-muted-foreground)
    }

    .text-primary {
        color: var(--color-primary)
    }

    .text-primary-foreground {
        color: var(--color-primary-foreground)
    }

    .text-primary\/70 {
        color: var(--color-primary)
    }

    @supports (color:color-mix(in lab, red, red)) {
        .text-primary\/70 {
            color: color-mix(in oklab, var(--color-primary)70%, transparent)
        }
    }

    .text-red-500 {
        color: var(--color-red-500)
    }

    .text-red-500\/80 {
        color: #fb2c36cc
    }

    @supports (color:color-mix(in lab, red, red)) {
        .text-red-500\/80 {
            color: color-mix(in oklab, var(--color-red-500)80%, transparent)
        }
    }

    .text-white {
        color: var(--color-white)
    }

    .capitalize {
        text-transform: capitalize
    }

    .italic {
        font-style: italic
    }

    .antialiased {
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale
    }

    .opacity-0 {
        opacity: 0
    }

    .opacity-50 {
        opacity: .5
    }

    .shadow-lg {
        --tw-shadow: 0 10px 15px -3px var(--tw-shadow-color, #0000001a), 0 4px 6px -4px var(--tw-shadow-color, #0000001a);
        box-shadow: var(--tw-inset-shadow), var(--tw-inset-ring-shadow), var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)
    }

    .backdrop-blur-sm {
        --tw-backdrop-blur: blur(var(--blur-sm));
        -webkit-backdrop-filter: var(--tw-backdrop-blur, )var(--tw-backdrop-brightness, )var(--tw-backdrop-contrast, )var(--tw-backdrop-grayscale, )var(--tw-backdrop-hue-rotate, )var(--tw-backdrop-invert, )var(--tw-backdrop-opacity, )var(--tw-backdrop-saturate, )var(--tw-backdrop-sepia, );
        backdrop-filter: var(--tw-backdrop-blur, )var(--tw-backdrop-brightness, )var(--tw-backdrop-contrast, )var(--tw-backdrop-grayscale, )var(--tw-backdrop-hue-rotate, )var(--tw-backdrop-invert, )var(--tw-backdrop-opacity, )var(--tw-backdrop-saturate, )var(--tw-backdrop-sepia, )
    }

    .transition-colors {
        transition-property: color, background-color, border-color, outline-color, text-decoration-color, fill, stroke, --tw-gradient-from, --tw-gradient-via, --tw-gradient-to;
        transition-timing-function: var(--tw-ease, var(--default-transition-timing-function));
        transition-duration: var(--tw-duration, var(--default-transition-duration))
    }

    .transition-transform {
        transition-property: transform, translate, scale, rotate;
        transition-timing-function: var(--tw-ease, var(--default-transition-timing-function));
        transition-duration: var(--tw-duration, var(--default-transition-duration))
    }

    .select-none {
        -webkit-user-select: none;
        user-select: none
    }

    @media(hover:hover) {
        .group-hover\:opacity-100:is(:where(.group):hover *) {
            opacity: 1
        }

        .peer-hover\:border-border:is(:where(.peer):hover~*) {
            border-color: var(--color-border)
        }

        .peer-hover\:border-foreground\/50:is(:where(.peer):hover~*) {
            border-color: var(--color-foreground)
        }

        @supports (color:color-mix(in lab, red, red)) {
            .peer-hover\:border-foreground\/50:is(:where(.peer):hover~*) {
                border-color: color-mix(in oklab, var(--color-foreground)50%, transparent)
            }
        }
    }

    .last\:border-b-0:last-child {
        border-bottom-style: var(--tw-border-style);
        border-bottom-width: 0
    }

    @media(hover:hover) {
        .hover\:bg-input\/80:hover {
            background-color: var(--color-input)
        }

        @supports (color:color-mix(in lab, red, red)) {
            .hover\:bg-input\/80:hover {
                background-color: color-mix(in oklab, var(--color-input)80%, transparent)
            }
        }

        .hover\:bg-muted:hover,
        .hover\:bg-muted\/10:hover {
            background-color: var(--color-muted)
        }

        @supports (color:color-mix(in lab, red, red)) {
            .hover\:bg-muted\/10:hover {
                background-color: color-mix(in oklab, var(--color-muted)10%, transparent)
            }
        }

        .hover\:bg-primary\/20:hover {
            background-color: var(--color-primary)
        }

        @supports (color:color-mix(in lab, red, red)) {
            .hover\:bg-primary\/20:hover {
                background-color: color-mix(in oklab, var(--color-primary)20%, transparent)
            }
        }

        .hover\:bg-primary\/90:hover {
            background-color: var(--color-primary)
        }

        @supports (color:color-mix(in lab, red, red)) {
            .hover\:bg-primary\/90:hover {
                background-color: color-mix(in oklab, var(--color-primary)90%, transparent)
            }
        }

        .hover\:bg-red-500\/30:hover {
            background-color: #fb2c364d
        }

        @supports (color:color-mix(in lab, red, red)) {
            .hover\:bg-red-500\/30:hover {
                background-color: color-mix(in oklab, var(--color-red-500)30%, transparent)
            }
        }

        .hover\:bg-secondary\/20:hover {
            background-color: var(--color-secondary)
        }

        @supports (color:color-mix(in lab, red, red)) {
            .hover\:bg-secondary\/20:hover {
                background-color: color-mix(in oklab, var(--color-secondary)20%, transparent)
            }
        }

        .hover\:bg-secondary\/30:hover {
            background-color: var(--color-secondary)
        }

        @supports (color:color-mix(in lab, red, red)) {
            .hover\:bg-secondary\/30:hover {
                background-color: color-mix(in oklab, var(--color-secondary)30%, transparent)
            }
        }

        .hover\:bg-secondary\/40:hover {
            background-color: var(--color-secondary)
        }

        @supports (color:color-mix(in lab, red, red)) {
            .hover\:bg-secondary\/40:hover {
                background-color: color-mix(in oklab, var(--color-secondary)40%, transparent)
            }
        }

        .hover\:bg-secondary\/50:hover {
            background-color: var(--color-secondary)
        }

        @supports (color:color-mix(in lab, red, red)) {
            .hover\:bg-secondary\/50:hover {
                background-color: color-mix(in oklab, var(--color-secondary)50%, transparent)
            }
        }

        .hover\:text-foreground:hover {
            color: var(--color-foreground)
        }

        .hover\:text-primary:hover {
            color: var(--color-primary)
        }

        .hover\:text-red-500:hover {
            color: var(--color-red-500)
        }
    }

    .focus\:border-primary:focus {
        border-color: var(--color-primary)
    }

    .focus\:border-transparent:focus {
        border-color: #0000
    }

    .focus\:ring-1:focus {
        --tw-ring-shadow: var(--tw-ring-inset, )0 0 0 calc(1px + var(--tw-ring-offset-width))var(--tw-ring-color, currentcolor);
        box-shadow: var(--tw-inset-shadow), var(--tw-inset-ring-shadow), var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)
    }

    .focus\:ring-2:focus {
        --tw-ring-shadow: var(--tw-ring-inset, )0 0 0 calc(2px + var(--tw-ring-offset-width))var(--tw-ring-color, currentcolor);
        box-shadow: var(--tw-inset-shadow), var(--tw-inset-ring-shadow), var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)
    }

    .focus\:ring-primary\/50:focus {
        --tw-ring-color: var(--color-primary)
    }

    @supports (color:color-mix(in lab, red, red)) {
        .focus\:ring-primary\/50:focus {
            --tw-ring-color: color-mix(in oklab, var(--color-primary)50%, transparent)
        }
    }

    .focus\:ring-ring:focus {
        --tw-ring-color: var(--color-ring)
    }

    .focus\:outline-none:focus {
        --tw-outline-style: none;
        outline-style: none
    }

    .disabled\:cursor-not-allowed:disabled {
        cursor: not-allowed
    }

    .disabled\:opacity-50:disabled {
        opacity: .5
    }

    @media(min-width:48rem) {
        .md\:top-6 {
            top: calc(var(--spacing)*6)
        }

        .md\:right-6 {
            right: calc(var(--spacing)*6)
        }
        /*
        .md\:mb-16 {
            margin-bottom: calc(var(--spacing)*16)
        }   */

        .md\:w-64 {
            width: calc(var(--spacing)*64)
        }

        .md\:max-w-2xl {
            max-width: var(--container-2xl)
        }

        .md\:max-w-4xl {
            max-width: var(--container-4xl)
        }

        .md\:grid-cols-2 {
            grid-template-columns: repeat(2, minmax(0, 1fr))
        }

        .md\:grid-cols-3 {
            grid-template-columns: repeat(3, minmax(0, 1fr))
        }

        .md\:gap-8 {
            gap: calc(var(--spacing)*8)
        }

        :where(.md\:space-y-8>:not(:last-child)) {
            --tw-space-y-reverse: 0;
            margin-block-start: calc(calc(var(--spacing)*8)*var(--tw-space-y-reverse));
            margin-block-end: calc(calc(var(--spacing)*8)*calc(1 - var(--tw-space-y-reverse)))
        }

        .md\:p-4 {
            padding: calc(var(--spacing)*4)
        }

        .md\:p-8 {
            padding: calc(var(--spacing)*8)
        }
    }

    @media(min-width:64rem) {
        .lg\:col-span-1 {
            grid-column: span 1/span 1
        }

        .lg\:col-span-2 {
            grid-column: span 2/span 2
        }

        .lg\:w-80 {
            width: calc(var(--spacing)*80)
        }

        .lg\:grid-cols-3 {
            grid-template-columns: repeat(3, minmax(0, 1fr))
        }
    }
}

:root {
    --background: #121317;
    --foreground: #f2f2f2;
    --card: #1a1d23;
    --card-foreground: #f2f2f2;
    --primary: #0080ff;
    --primary-foreground: #fff;
    --secondary: #2c313a;
    --secondary-foreground: #f2f2f2;
    --muted: #373d49;
    --muted-foreground: #99a2b2;
    --accent: #424957;
    --accent-foreground: #f2f2f2;
    --border: #373d49;
    --input: #272c34;
    --ring: #0080ff
}

body {
    background-color: var(--background);
    color: var(--foreground);
    font-family: var(--font-sans);
    min-height: 100vh;
    margin: 0
}

@property --tw-translate-x {
    syntax: "*";
    inherits: false;
    initial-value: 0
}

@property --tw-translate-y {
    syntax: "*";
    inherits: false;
    initial-value: 0
}

@property --tw-translate-z {
    syntax: "*";
    inherits: false;
    initial-value: 0
}

@property --tw-rotate-x {
    syntax: "*";
    inherits: false
}

@property --tw-rotate-y {
    syntax: "*";
    inherits: false
}

@property --tw-rotate-z {
    syntax: "*";
    inherits: false
}

@property --tw-skew-x {
    syntax: "*";
    inherits: false
}

@property --tw-skew-y {
    syntax: "*";
    inherits: false
}

@property --tw-space-y-reverse {
    syntax: "*";
    inherits: false;
    initial-value: 0
}

@property --tw-border-style {
    syntax: "*";
    inherits: false;
    initial-value: solid
}

@property --tw-font-weight {
    syntax: "*";
    inherits: false
}

@property --tw-shadow {
    syntax: "*";
    inherits: false;
    initial-value: 0 0 #0000
}

@property --tw-shadow-color {
    syntax: "*";
    inherits: false
}

@property --tw-shadow-alpha {
    syntax: "<percentage>";
    inherits: false;
    initial-value: 100%
}

@property --tw-inset-shadow {
    syntax: "*";
    inherits: false;
    initial-value: 0 0 #0000
}

@property --tw-inset-shadow-color {
    syntax: "*";
    inherits: false
}

@property --tw-inset-shadow-alpha {
    syntax: "<percentage>";
    inherits: false;
    initial-value: 100%
}

@property --tw-ring-color {
    syntax: "*";
    inherits: false
}

@property --tw-ring-shadow {
    syntax: "*";
    inherits: false;
    initial-value: 0 0 #0000
}

@property --tw-inset-ring-color {
    syntax: "*";
    inherits: false
}

@property --tw-inset-ring-shadow {
    syntax: "*";
    inherits: false;
    initial-value: 0 0 #0000
}

@property --tw-ring-inset {
    syntax: "*";
    inherits: false
}

@property --tw-ring-offset-width {
    syntax: "<length>";
    inherits: false;
    initial-value: 0
}

@property --tw-ring-offset-color {
    syntax: "*";
    inherits: false;
    initial-value: #fff
}

@property --tw-ring-offset-shadow {
    syntax: "*";
    inherits: false;
    initial-value: 0 0 #0000
}

@property --tw-backdrop-blur {
    syntax: "*";
    inherits: false
}

@property --tw-backdrop-brightness {
    syntax: "*";
    inherits: false
}

@property --tw-backdrop-contrast {
    syntax: "*";
    inherits: false
}

@property --tw-backdrop-grayscale {
    syntax: "*";
    inherits: false
}

@property --tw-backdrop-hue-rotate {
    syntax: "*";
    inherits: false
}

@property --tw-backdrop-invert {
    syntax: "*";
    inherits: false
}

@property --tw-backdrop-opacity {
    syntax: "*";
    inherits: false
}

@property --tw-backdrop-saturate {
    syntax: "*";
    inherits: false
}

@property --tw-backdrop-sepia {
    syntax: "*";
    inherits: false
}

@keyframes spin {
    to {
        transform: rotate(360deg)
    }
}

@keyframes pulse {
    50% {
        opacity: .5
    }
}
